Begin forwarded message:

From: "Daniel Ng" <[EMAIL PROTECTED]>
Date: August 3, 2008 2:40:10 PM EDT (CA)
To: "Muthucumaru Maheswaran" <[EMAIL PROTECTED]>
Subject: RE: gini-RC5

I installed Ubuntu 8.04 on a virtual machine at home. Installing GINI was not too much trouble, but running however is a different story. Obviously, we first need some python packages like python- tk and pyro, after which gbuilder runs fine. But then to run gloader, we require the module xmlproc, which we can get from the pyXML package. I could not apt-get install it and synaptic could not find it so I downloaded it from the sourceforge site. I tried installing it but there were many errors and I have not figured out a fix yet. Instead I found another package that is supposedly the outdated version of pyXML, called python-xml. After I installed the package, running still did not work because it still did not detect the xmlproc module. I've read up on it, and found that there is a dependency problem, but this line is a quick fix:

`echo 'oldxml' > /usr/lib/python2.5/site-packages/oldxml.pth`.

Sticking with the quick fix version, I ran gloader and it worked, but it seems like Alex's kernel for the file system does not. Every time I run it, it says:

Locating the top of the address space ... Address 0x0 no good?

I will try installing Ubuntu 7.10 and then installing GINI on it, maybe tomorrow. Hopefully it will run as smoothly as it does in the lab.


________________________________

From: Muthucumaru Maheswaran [mailto:[EMAIL PROTECTED]
Sent: Fri 01/08/2008 2:58 PM
To: Daniel Ng
Subject: RE: gini-RC5




Daniel,

I got it completely installed.. looks like it will work without a problem. could not check it because I cannot run graphics programs from a windows
machine!

Thanks.

-mahes

-----Original Message-----
From: Daniel Ng [mailto:[EMAIL PROTECTED]
Sent: August-01-08 1:29 PM
To: Muthucumaru Maheswaran
Subject: RE: gini-RC5

Hostname is socs-16, but there are more.  I've tried configuring using
--prefix=/tmp/ but it did not work:
mkdir -p /usr/local/lib
install -m 644 ./libslack.a /usr/local/lib/libslack-0.5.2.a
install: cannot create regular file `/usr/local/lib/libslack-0.5.2.a':
Read-only file system
make: *** [install-slack-lib] Error 1


-----Original Message-----
From: Muthucumaru Maheswaran [mailto:[EMAIL PROTECTED]
Sent: Fri 8/1/2008 1:26 PM
To: Daniel Ng
Subject: RE: gini-RC5

What is the name of the trial ubuntu machine?
They claim that the lab machines have the same distribution as we
run in our lab (provided by them). So GINI should run. I have asked
them to install libslack. May be we can try to install libslack in our
accounts and try to run GINI.

when configuring libslack provide a local prefix.

-----Original Message-----
From: Daniel Ng [mailto:[EMAIL PROTECTED]
Sent: August-01-08 1:17 PM
To: Muthucumaru Maheswaran
Subject: RE: gini-RC5

I'm on the 3rd floor, but in addition to turning off most of the machines, they also removed all the chairs, keyboards and mice. They left some trial Ubuntu machines which I'm trying now, but I don't have the permissions to install anything, starting with libslack. There's no one at the support
desk.  I don't suppose there's any way around this?


-----Original Message-----
From: Muthucumaru Maheswaran [mailto:[EMAIL PROTECTED]
Sent: Fri 8/1/2008 11:34 AM
To: Daniel Ng
Subject: RE: gini-RC5


If these are existing files that got updated, then no need.
Just dist should be fine.

-----Original Message-----
From: Daniel Ng [mailto:[EMAIL PROTECTED]
Sent: August-01-08 11:31 AM
To: Muthucumaru Maheswaran
Subject: RE: gini-RC5

Yes, I will try. If I just replace the python source files with mine, is
there any need to automake and autoconf, or can I just make dist?


-----Original Message-----
From: Muthucumaru Maheswaran [mailto:[EMAIL PROTECTED]
Sent: Fri 8/1/2008 11:18 AM
To: Daniel Ng
Subject: RE: gini-RC5

Sure. Please go ahead. I will post things over the weekend.
It seems they have shutdown the machines in Trottier to save power.
If you go up there, you could use them. Is it possible for you
to check them in person?


-----Original Message-----
From: Daniel Ng [mailto:[EMAIL PROTECTED]
Sent: August-01-08 10:16 AM
To: [EMAIL PROTECTED]
Subject: gini-RC5

Is there still time to update gini-RC5?  If there is, maybe I can have
another version ready by the end of today.










_______________________________________________
gini mailing list
gini@cs.mcgill.ca
http://mailman.cs.mcgill.ca/mailman/listinfo/gini

Reply via email to